#if !defined(ELEMENT_HPP)
#define ELEMENT_HPP

#include <list>
#include <string>
#include "ko/LinAlg.hpp"

namespace ko
{

class Material;
class Connection;
class Element;


class Element
{
public:
  double radius;

  bool artificial;

  Vector position;
  Vector velocity;

  Vector position0;
  Vector velocity0;

  Vector force, force0, force_fe;

  std::string name;

  int index;

  std::list<Connection *> connections;

  Material *material;

  Element();
  bool isConnected(Element &e);
  Connection *getConnection(Element &e);
};

void print(Element &);

}

#endif // ELEMENT_HPP
