#!/usr/bin/env python

# Ideas from Berthold Hllmann:
# http://mail.python.org/pipermail/distutils-sig/2000-October/001658.html

from distutils.core import setup, Extension
from distutils.command import install_data

class my_install_data(install_data.install_data):
    def finalize_options (self):
        self.set_undefined_options('install',
                                   ('install_lib', 'install_dir'),
                                   ('root', 'root'),
                                   ('force', 'force'),
                                   )

setup(name="PyKo",
      version="0.0.1",
      description="Ko Python module",
      author="Johan Jansson (Python wrapper)",
      author_email="ko@fenics.org",
      url="http://www.fenics.org/ko/",
      packages=["ko/"],
      scripts=[],
      data_files=[('ko', ["ko/_ko.so"])],
      cmdclass = {'install_data': my_install_data}
      )
