import Numeric
import LinearAlgebra
from dolfin import *
import ko
import transform

class ZeroVelocity(Function):
    def eval(self, point, i):
        return 0.0

#mesh = Mesh()
mesh = Mesh("tetmesh-1c.xml.gz")
#mesh = Mesh("cell.xml")

#mesh = UnitCube(2, 2, 2)

# Transform meshes

A = Numeric.zeros([3, 3], 'd')
A[0, 0] = 1.0
A[1, 1] = 1.0
A[2, 2] = 1.0
b = Numeric.zeros(3, 'd')
b[0] = 0.0
b[1] = 0.0
b[2] = 0.0
transform.transform(mesh, A, b)

#mesh.merge(cowmesh1)


A = Numeric.zeros([3, 3], 'd')
A[0, 2] = 2.5
A[1, 1] = 2.5
A[2, 0] = 2.5

#envmesh = Mesh()

#envmesh = Mesh("cell.xml")

envmesh = Mesh("block03a.xml")
#block1 = Mesh("simpletet.xml")
b = Numeric.zeros(3, 'd')
b[0] = -4.5 + 4 * 1.5
b[1] = -5.5
b[2] = -1.5
transform.transform(envmesh, A, b)

# Construct fixed geometry (contact)

#envmesh = Mesh()
#envmesh.merge(block)

#envmesh = block

vzero = ZeroVelocity()

envp = ko.Physical()
envi = ko.PhysicalDolfinInterface(envmesh, envp, vzero, 0.0, 0.0)

envi.updatePhysical()

floor0 = ko.Element()
floor0.position.setval(0, 0.0)
floor0.position.setval(1, -10000)
floor0.position.setval(2, 0.0)
floor0.radius = 10000 - 6.0
#floor0.material = envi.m
envp.addElement(floor0)

floor1 = ko.Element()
floor1.position.setval(0, 10000.0)
floor1.position.setval(1, 0.0)
floor1.position.setval(2, 0.0)
floor1.radius = 10000 - 6.0
#floor1.material = envi.m
envp.addElement(floor1)

floor2 = ko.Element()
floor2.position.setval(0, -10000.0)
floor2.position.setval(1, 0.0)
floor2.position.setval(2, 0.0)
floor2.radius = 10000 - 6.0
#floor2.material = envi.m
envp.addElement(floor2)

floor3 = ko.Element()
floor3.position.setval(0, 0.0)
floor3.position.setval(1, 0.0)
floor3.position.setval(2, 10000.0)
floor3.radius = 10000 - 6.0
#floor3.material = envi.m
envp.addElement(floor3)

floor4 = ko.Element()
floor4.position.setval(0, 0.0)
floor4.position.setval(1, 0.0)
floor4.position.setval(2, -10000.0)
floor4.radius = 10000 - 6.0
#floor4.material = envi.m
envp.addElement(floor4)

